Автор Тема: Легковесные браузеры для сборок Runtu  (Прочитано 1022 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #30 : Июнь 05, 2022, 21:00:06 »
Снова доработал таблицу легковесных браузеров, перенес Dillo в более высокую весовую категорию.



Но для каждой версии системы оптимальными будут разные браузеры. Надо проверять на нужной вам системе.

Вебкиты самые экономичные из браузеров с javascript и мультимедиа.

А gecko самые удобные из-за множества настроек и дополнений.

Ubuntu 18.04 стала переходной версией для вебкитов, старые Midori и Qupzilla на вебките ушли, а новые Qutebrowser и Luakit еще в зачаточном состоянии. В Ubuntu 20.04 браузеры Qutebrowser и Luakit уже полноценные (не урезанные).

Palemoon уже несколько лет как стабилен, но его будущее под вопросом, так как он является форком из-за ухода фокса от старых дополнений. Он не задумывался как легковесный, просто провели оптимизацию старого браузера - перетрясли код, убрали ненужное. Да и разработчики старых дополнений подтянулись.

Я похоже сторонник комфорта, сейчас использую на старом компьютере Seamonkey 2.49.5, до этого пару лет был Palemoon.
А вебкиты меня не устраивали то блокировщиком рекламы, то отсутствием функций. Раз мой компьютер комфортные браузеры тянет - вот и использую их. Если бы не тянул - деваться было бы некуда, пришлось бы использовать лучшее из того что заработало.

Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #31 : Июнь 05, 2022, 21:54:23 »
Нашел совет как подбирать версию Firefox под старые системы
https://support.mozilla.org/en-US/questions/979820

Надо испробовать на Runtu LITE 10.04, посмотреть какая последняя версия Firefox сможет там работать.

Таким же макаром инструкцию можно переделать под Seamonkey и браузеры на Qtwebkit. То есть испробовать браузеры у которых ssl сертификаты вшиты в браузер, а не берутся из системы.

Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #32 : Июнь 08, 2022, 03:39:35 »
Попробовал по системным требованиям подобрать версию браузера Firefox, но проблему это не решает.

Для Ubuntu 10.04 подходит Firefox 3.6.28, можно даже по libgtk 2.12 до Firefox 16 использовать, а дальше уже нужен gtk поновее, который уже в другой версии системы.
10% сайтов только открываются сейчас в них...

В Ubuntu 14.04 в Firefox 32 форум рунту открывается нормально. Эта версия системы содержит libgtk 2.24 и 3.10, поэтому много версий браузера подойдет.

Заметил в минимальных системных требованиях Firefox что указана версия библиотеки и выше. То есть в новых системах старые браузеры смогут работать, так как разработчики библиотеки обеспечивают совместимость со старыми функциями. А вот запустить новые браузеры в старых системах не получится без специальной подгонки под старую систему, так как разработчики библиотеки gtk не могли предсказать какие функции будут внедрены в будущем.

Seamonkey только сейчас перешел на gtk3, значит у него системные требования сильно ниже чем у новых Firefox. Значит лучше совместим со старыми системами.

У Palemoon на форуме проскакивает информация о спец сборках под SSE первой версии - то есть под древние процессоры. Но новые версии уже вроде не собирают под старые процессоры...
« Последнее редактирование: Июнь 08, 2022, 04:04:36 от Пользователь. »

Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #33 : Июнь 12, 2022, 23:39:43 »
Seamonkey 2.49.5 перестал искать на алиэкспрессе.

Обновил до последней версии, локализация не активируется... Дополнения глючат. Утсновились те же NPAPI, непонятно почему тогда в релизе сказано о прекращении этих дополнений. Последняя версия открывает алиекспресс нормально.

Откатился обратно на 2.49.5, алиэкспресс буду посещать через Firefox - медленно но работает.


Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #34 : Июнь 13, 2022, 22:19:48 »
Понял почему локализация не подхватилась, не ту настройку в about:config искал.

Сегодня снова обновил Seamonkey из репозитория Ubuntuzilla, на этот раз не стал удалять профиль браузера, но сделал резервную копию.
Все настройки сохранились, локализацию пришлось скачать отдельно с официального сайта.

Дополлнения работают NPAPI, дополнение Toolbar Buttons перестало работать, так как его еще не обновили под новую версию браузера.

Алиэкспресс в последней версии работает нормально.


Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #35 : Июнь 14, 2022, 18:53:17 »
В Palemoon даже не последней версии алиэкспресс работает, он чаще обновляется, и похоже нужные изменения внесли уже давно.
Тема оформления меня устраивает, кнопки закрытия вкладок на месте, главное меню браузера свернуто в компактное меню.
Даже локализация вроде сама подтянулась после обновления.
Но есть одна проблема, не выходит подключить его репозиторий, ключ репозитория скачивается, но не работает. Поэтому скачиваю деб пакет вручную и ставлю через gdebi.

У Seamonkey нет проблемы с репозиторием, ключ в деб пакете браузера, ставишь браузер вручную, добавляешь репозиторий, и потом он уже обновляется в Synaptic.

Оффлайн sfs

  • Местный
  • *****
  • Сообщений: 700
    • PuppyRus-Arch
Re: Легковесные браузеры для сборок Runtu
« Ответ #36 : Июнь 15, 2022, 09:46:44 »
Еще в палемун 31.1 у меня впервые (в хроме и ffox давно работало) на интел видяхе заработало аппаратное ускорение видео

Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #37 : Июнь 15, 2022, 17:38:15 »
Сегодня пытался установить Palemoon из репозитория
https://software.opensuse.org/download.html?project=home:stevenpusser&package=palemoon

В Runtu 18.04 ставится из репозитория.

Аппаратное ускорение вряд ли буду использовать на старом компьютере в браузере, там сейчас Nvidia GF 9800, я видео открываю в системном плеере и там уже используется аппаратное декодирование.

Palemoon для меня удобнее чем Seamonkey.
« Последнее редактирование: Июнь 19, 2022, 20:27:10 от Пользователь. »

Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #38 : Июнь 19, 2022, 19:52:15 »
В Runtu XFCE 18.04 x64 Palemoon 31 ставится и работает.

В Runtu XFCE 16.04 x64 не ставится Palemoon 31, зависимости не удовлетворены.

sudo apt install palemoon
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 palemoon : Зависит: libavcodec57 но он не может быть установлен или
                            libavcodec-extra57 но он не может быть установлен или
                            libavcodec58 но он не может быть установлен или
                            libavcodec-extra58 но он не может быть установлен или
                            libavcodec59 но он не может быть установлен или
                            libavcodec-extra59 но он не может быть установлен
            Зависит: libc6 (>= 2.27) но 2.23-0ubuntu11.3 будет установлен
            Зависит: libfontconfig1 (>= 2.12) но 2.11.94-0ubuntu1.1 будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Остается использовать версию постарее в виде архива
https://archive.palemoon.org/palemoon/

« Последнее редактирование: Июнь 19, 2022, 20:27:36 от Пользователь. »

Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #39 : Июнь 19, 2022, 20:38:11 »
У меня нет доказательств, что я ставил Palemoon в Runtu XFCE 16.04 x64

IDE-шный HDD тех времен у меня лежит на полке, да и не важно что было давно, важно лишь то - что новые версии не ставятся, а старые версии уже будут неправильно показывать сайты.

Seamonkey на Runtu XFCE 16.04 x64 поставился  ;D

Так что для каждой версии системы свой оптимальный легковесный браузер.

Оффлайн sfs

  • Местный
  • *****
  • Сообщений: 700
    • PuppyRus-Arch
Re: Легковесные браузеры для сборок Runtu
« Ответ #40 : Июнь 20, 2022, 10:05:15 »
Цитировать
palemoon : Зависит: libavcodec57
Возьмите libffmpeg.so от хрома и наделайте симлинков. Пример (распаковать unsquashfs)

Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #41 : Июнь 20, 2022, 17:36:05 »
Там не только кодеки браузер требует.

Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #42 : Июнь 20, 2022, 23:26:43 »
Свежая версия Palemoon не ставится в 14.04 и 16.04, а Seamonkey ставится и работает шустрее чем Firefox.

Старые версии браузеров на вебките (Midori 0.5.11, Qupzilla 1.6.6, Uzbl, Xombrero) указанные в таблице выше некорректно отображают сайты, поэтому их придется убрать из таблицы.

Surf, Luakit, Qutebrowser - сделаны под динамические менеджеры окон, там любят управлять программами через клавиатуру, без мыши.

Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #43 : Июнь 21, 2022, 11:40:48 »
smik55 меня натолкнул на мысль, что выбор браузера зависит не только от системы, но и от железа.

Старые двухъядерные процессоры будут шустрее работать с хромиумами, а одноялерные с Palemoon/Seamonkey.
Да и вкусы у всех разные, одним нравятся хромиумы, другим фоксы.

Оффлайн Пользователь.

  • Местный
  • *****
  • Автор темы
  • Сообщений: 4494
Re: Легковесные браузеры для сборок Runtu
« Ответ #44 : Июнь 23, 2022, 18:37:04 »
Palemoon для старых систем есть только в виде тарболлов, попробовал скачать на Runtu Lite 14.04 32-bit Palemoon 28.16.0 (последний 32 разрядный тарболл), запускается и работает.

У Waterfox-classic есть тарболлы на гитхабе, как я помню локализация там внутри браузера, нужно только в настройках выбрать язык интерфейса.

Seamonkey тоже имеет тарболлы, причем с встроенной локализацией, и доступны две архитектуры процессора в текущей версии.
https://ftp.mozilla.org/pub/seamonkey/releases/
Но проще поставить через deb пакеты с sourceforge.org
« Последнее редактирование: Июнь 23, 2022, 19:44:46 от Пользователь. »